{lib, config, options, pkgs, ...}:
{
    # Merge the configuration and hardware configuration
    imports = [
        ./configuration.nix
        ./hardware-configuration.nix
        ../../modules/nixos/bluetooth.nix
        ../../modules/nixos/fonts.nix
        ../../modules/nixos/hyprland.nix
        ../../modules/nixos/monitoring.nix
        ../../modules/nixos/networking.nix
        ../../modules/nixos/nvidia.nix
        ../../modules/nixos/pipewire.nix
        ../../modules/nixos/podman.nix
        ../../utils/binary-cache.nix
        ../../utils/garbage-collection.nix
    ];
}
